- Main Page
- Namespaces
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# BuddhaLib::BoundingBox Struct Reference

軸固定境界ボックス(AABB)をあらわす構造体 More...

`#include <BuddhaBoundingBox.h>`

List of all members.

## Public Types
typedef std::vector< Vector3 > | PointList
| Vector3のイテレータ.
## Public Member Functions
| BoundingBox (void)
| コンストラクタ。ボリュームゼロのバウンディングボックスを作成する
| BoundingBox (const Vector3 &min, const Vector3 &max)
| コンストラクタ。最大座標と最小座標を指定してバウンディングボックスを作成する
| BoundingBox (PointListItr &vector3Itr)
| コンストラクタ。点の集合からバウンディングボックスを作成する
| BoundingBox (Vector3 *pVectors, size_t num)
| コンストラクタ。点の集合からバウンディングスフィアを作成する
void | Contains (const Vector3 &point, CONTAINMENT_TYPE &result) const
| 境界ボックスが point を含んでいるかどうかチェックする
CONTAINMENT_TYPE | Contains (const Vector3 &point) const
| 境界ボックスが point を含んでいるかどうかチェックする
void | Contains (const BoundingSphere &sphere, CONTAINMENT_TYPE &result) const
| 境界ボックスが sphere を含んでいるかどうかチェックする
CONTAINMENT_TYPE | Contains (const BoundingSphere &sphere) const
| 境界ボックスが sphere を含んでいるかどうかチェックする
void | Contains (const BoundingBox &box, CONTAINMENT_TYPE &result) const
| 境界ボックスが box を含んでいるかどうかチェックする
CONTAINMENT_TYPE | Contains (const BoundingBox &box) const
| 境界ボックスが box を含んでいるかどうかチェックする
## Public Attributes
Vector3 | Min
| AABBの最小座標.
Vector3 | Max
| AABBの最大座標.

## Detailed Description

軸固定境界ボックス(AABB)をあらわす構造体

## Constructor & Destructor Documentation

BuddhaLib::BoundingBox::BoundingBox | ( | PointListItr & | vector3Itr | ) |

コンストラクタ。点の集合からバウンディングボックスを作成する

vector3Itr 点のイテレータ ConstVectorIterator<std::vector>

BuddhaLib::BoundingBox::BoundingBox | ( | Vector3 * | pVectors,
|  | size_t | num |
| ) |  |  |

コンストラクタ。点の集合からバウンディングスフィアを作成する

pVectors Vector3配列の先頭アドレス

num 配列の要素数

## Member Function Documentation

void BuddhaLib::BoundingBox::Contains | ( | const Vector3 & | point,
|  | CONTAINMENT_TYPE & | result |
| ) |  |  | const

境界ボックスが point を含んでいるかどうかチェックする

Parameters:

  | sphere | 判定対象の点
  | result | [結果出力] この境界ボックスムと point の関係をしめす列挙子の値

CONTAINMENT_TYPE BuddhaLib::BoundingBox::Contains | ( | const Vector3 & | point | ) | const

境界ボックスが point を含んでいるかどうかチェックする

Parameters:

  | sphere | 判定対象の点

Returns:
  この境界ボックスムと point の関係をしめす列挙子の値

void BuddhaLib::BoundingBox::Contains | ( | const BoundingSphere & | sphere,
|  | CONTAINMENT_TYPE & | result |
| ) |  |  | const

境界ボックスが sphere を含んでいるかどうかチェックする

Parameters:

  | sphere | 判定対象の境界球
  | result | [結果出力] この境界ボックスムと sphere の関係をしめす列挙子の値

CONTAINMENT_TYPE BuddhaLib::BoundingBox::Contains | ( | const BoundingSphere & | sphere | ) | const

境界ボックスが sphere を含んでいるかどうかチェックする

Parameters:

  | sphere | 判定対象の境界球

Returns:
  この境界ボックスムと sphere の関係をしめす列挙子の値

void BuddhaLib::BoundingBox::Contains | ( | const BoundingBox & | box,
|  | CONTAINMENT_TYPE & | result |
| ) |  |  | const

境界ボックスが box を含んでいるかどうかチェックする

Parameters:

  | sphere | 判定対象の境界ボックス
  | result | [結果出力] この境界ボックスムと box の関係をしめす列挙子の値

CONTAINMENT_TYPE BuddhaLib::BoundingBox::Contains | ( | const BoundingBox & | box | ) | const

境界ボックスが box を含んでいるかどうかチェックする

Parameters:

  | sphere | 判定対象の境界ボックス

Returns:
  この境界ボックスムと box の関係をしめす列挙子の値